import { Observable } from 'rxjs';
import { MonkeyStyleGuideSettingsService } from 'monkey-style-guide';
import { MonkeyEcxi18nConfigService } from './monkeyecx-i18n-config.service';
import { MonkeyEcxLogsConfigService } from './monkeyecx-logs-config.service';
import { MonkeyEcxServiceWorkerConfigService } from './monkeyecx-service-worker-config.service';
import { MonkeyEcxSecurityConsoleConfigService } from './monkeyecx-security-console-config.service';
import { MonkeyEcxMaintenanceConfigService } from './monkeyecx-maintenance-config.service';
import { MonkeyEcxCommonsService } from '../commons';
import { MonkeyEcxService } from '../monkeyecx-service.service';
import { MonkeyEcxErrorConfigService } from './monkeyecx-error-config.service';
import { MonkeyEcxFeatureToggleService } from './monkeyecx-feature-toggle.service';
import * as i0 from "@angular/core";
export declare class MonkeyEcxConfigService extends MonkeyEcxCommonsService {
    private monkeyecxi18nConfigService;
    private monkeyecxLogsConfigService;
    private monkeyStyleGuideSettingsService;
    private monkeyecxServiceWorkerConfigService;
    private monkeyecxSecurityConsoleConfigService;
    private monkeyecxMaintenanceConfigService;
    private monkeyecxErrorConfigService;
    private monkeyEcxFeatureToggleService;
    private readonly configSubject$;
    private readonly configBoostrapSubject$;
    constructor(monkeyecxService: MonkeyEcxService, monkeyecxi18nConfigService: MonkeyEcxi18nConfigService, monkeyecxLogsConfigService: MonkeyEcxLogsConfigService, monkeyStyleGuideSettingsService: MonkeyStyleGuideSettingsService, monkeyecxServiceWorkerConfigService: MonkeyEcxServiceWorkerConfigService, monkeyecxSecurityConsoleConfigService: MonkeyEcxSecurityConsoleConfigService, monkeyecxMaintenanceConfigService: MonkeyEcxMaintenanceConfigService, monkeyecxErrorConfigService: MonkeyEcxErrorConfigService, monkeyEcxFeatureToggleService: MonkeyEcxFeatureToggleService);
    private internalValidations;
    private getWhiteLabelSettings;
    init(callback: Function, environment: any, identifyCode: string, monkeyecxCode?: string): void;
    config(): Observable<any>;
    boostrapConfig(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxConfigService>;
}
