import { MonkeyEcxRequestDownload, MonkeyEcxRequestQueue, MonkeyEcxRequestUpload, MonkeyEcxServiceCredentials } from '../interfaces';
import * as i0 from "@angular/core";
export declare abstract class MonkeyEcxHandlingService {
    private monkeyecxServiceCredentials;
    private monkeyecxRequestQueue;
    private monkeyecxRequestDownload;
    private monkeyecxRequestUpload;
    clearAll(): void;
    setMonkeyEcxServiceCredentials(param: MonkeyEcxServiceCredentials): void;
    getMonkeyEcxServiceCredentials(): MonkeyEcxServiceCredentials;
    setMonkeyEcxRequestQueue(queue: MonkeyEcxRequestQueue): void;
    getMonkeyEcxRequestQueue(): MonkeyEcxRequestQueue;
    setMonkeyEcxRequestDownload(download: MonkeyEcxRequestDownload): void;
    getMonkeyEcxRequestDownload(): MonkeyEcxRequestDownload;
    setMonkeyEcxRequestUpload(upload: MonkeyEcxRequestUpload): void;
    getMonkeyEcxRequestUpload(): MonkeyEcxRequestUpload;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxHandlingService>;
}
