import { MonkeyEcxService } from '../monkeyecx-service.service';
import { MonkeyEcxLoggedHandlingService } from '../logged';
import { MonkeyEcxRequestSchedule } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxRequestScheduleService {
    monkeyecxService: MonkeyEcxService;
    private monkeyecxLoggedHandlingService;
    private schedule;
    constructor(monkeyecxService: MonkeyEcxService, monkeyecxLoggedHandlingService: MonkeyEcxLoggedHandlingService);
    private addToSchedule;
    private removeFromSchedule;
    private removeFromScheduleById;
    private doCall;
    setSchedule(q: MonkeyEcxRequestSchedule, delay?: number): {
        id: string;
        interval: number;
        url: string;
        method: string;
        params?: any;
        data?: any;
        action(data: any, sch: MonkeyEcxRequestSchedule): void;
        queue?: import("../../interfaces").MonkeyEcxRequestQueue;
    };
    removeSchedule(q: MonkeyEcxRequestSchedule): void;
    removeScheduleById(id: string): void;
    getScheduleById(id: string): MonkeyEcxRequestSchedule;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxRequestScheduleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxRequestScheduleService>;
}
