import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { MonkeyEcxFeatureToggleService } from '../services/config/monkeyecx-feature-toggle.service';
import * as i0 from "@angular/core";
export declare class MonkeyFeatureDirective implements OnDestroy, OnInit {
    private cdr;
    private elementRef;
    private monkeyecxFeatureToggleService;
    feature: string;
    private unsubscribeAll;
    constructor(cdr: ChangeDetectorRef, elementRef: ElementRef, monkeyecxFeatureToggleService: MonkeyEcxFeatureToggleService);
    private getFeature;
    private handleDisplay;
    ngOnDestroy(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyFeatureDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonkeyFeatureDirective, "[monkeyecxFeature]", never, { "feature": "featureName"; }, {}, never>;
}
