import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MonkeyEcxErrorHandlingService } from '../services/error';
import { MonkeyEcxAuthenticationService } from '../services/auth';
import * as i0 from "@angular/core";
export declare class MonkeyEcxHttpConfigHeaderInterceptor implements HttpInterceptor {
    private monkeyecxAuthenticationService;
    private monkeyecxErrorHandlingService;
    constructor(monkeyecxAuthenticationService: MonkeyEcxAuthenticationService, monkeyecxErrorHandlingService: MonkeyEcxErrorHandlingService);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxHttpConfigHeaderInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxHttpConfigHeaderInterceptor>;
}
