import { Observable } from 'rxjs';
import { HttpErrorResponse, HttpRequest } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class MonkeyEcxAuthenticationService {
    constructor();
    hadAtLeastOneLogin: () => any;
    redirectApp: () => any;
    redirectLoginWelcomeBack: () => any;
    isAuthorized: () => boolean;
    getRequestWithHeaders: (request: HttpRequest<any>) => HttpRequest<any>;
    getRequestWithHeadersOb: (request: HttpRequest<any>) => Observable<any>;
    refreshShouldHappen: (response: HttpErrorResponse) => boolean;
    refreshToken: () => Observable<any>;
    init(args: {
        hadAtLeastOneLogin?: any;
        redirectApp?: any;
        redirectLoginWelcomeBack?: any;
        isAuthorized?: any;
        getRequestWithHeaders?: any;
        getRequestWithHeadersOb?: any;
        refreshShouldHappen?: any;
        refreshToken?: any;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxAuthenticationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxAuthenticationService>;
}
